using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAccessLibrary.Models
{
    public class SpelerModel : INotifyPropertyChanged
    {
        private int _id;
        private string _voornaam;
        private string _achternaam;
        private double _handicap;
        private string _telefoon;
        private string _email;
        private int _clubid;
        private int _teamid;
        private int _puntenvoor;
        private int _puntentegen;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }
        public string Voornaam
        {
            get { return _voornaam; }
            set
            {
                _voornaam = value;
            }
        }
        public string Achternaam
        {
            get { return _achternaam; }
            set
            {
                _achternaam = value;
            }
        }
        public double Handicap
        {
            get { return _handicap; }
            set { _handicap = value; }
        }
        public string Telefoon
        {
            get { return _telefoon; }
            set { _telefoon = value; }
        }
        public string Email
        {
            get { return _email; }
            set { _email = value; }
        }
        public int ClubId
        {
            get { return _clubid; }
            set { _clubid = value; }
        }

        public int TeamId
        {
            get { return _teamid; }
            set { _teamid = value; }
        }
        public int PuntenVoor
        {
            get { return _puntenvoor; }
            set { _puntenvoor = value; }
        }
        public int PuntenTegen
        {
            get { return _puntentegen; }
            set { _puntentegen = value; }
        }

        public string FullName => $"{Voornaam} {Achternaam} Handicap: {Handicap}";


        //Golfclub Tabel

        private string _naam;

        public string Naam
        {
            get { return _naam; }
            set { _naam = value; }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
